All Resources
GET
Get a channel
/v3/channels/{id}
GET
Get channel connections
/v3/channels/{id}/connections
GET
Get channel contents
/v3/channels/{id}/contents
GET
Get channel followers
/v3/channels/{id}/followers
POST
Create a channel
/v3/channels
PUT
Update a channel
/v3/channels/{id}
DELETE
Delete a channel
/v3/channels/{id}
Updates an existing channel. Only provided fields are updated.
Authentication required.
Path Params
id
string
required
The Channel ID or slug
Body Params
title
string
Channel title
visibility
enum
Visibility level of a channel: - `public`: Anyone can view and connect to the channel - `private`: Only the owner and collaborators can view - `closed`: Anyone can view, but only collaborators can add content
description
string
Channel description (supports markdown). Pass null to clear.
PUT
https://api.are.na/v3/channels/{id}
id
integer!
Unique identifier for the channel
type
string!
Channel type
Channel
slug
string!
Channel URL slug
title
string!
Channel title
description
MarkdownContent
Channel description with multiple renderings
MarkdownContent
MarkdownContent
Markdown content with multiple renderings
markdown
string!
Original markdown value
html
string!
HTML rendering of the markdown
plain
string!
Plain text rendering of the markdown
unknown
null
state
ChannelState!
Lifecycle state of a channel.
availabledeleted
visibility
ChannelVisibility!
Visibility level of a channel:
publicprivateclosed
created_at
string (date-time)!
When the channel was created
updated_at
string (date-time)!
When the channel was last updated
owner
ChannelOwner!
Channel owner (User or Group)
EmbeddedUser
EmbeddedUser
Embedded user representation (used when user is nested in other resources)
id
integer!
Unique identifier for the user
type
string!
User type
User
name
string!
User's display name
slug
string!
URL-safe identifier (use this in API paths)
avatar
string | null (uri)!
URL to user's avatar image
initials
string!
User's initials
EmbeddedGroup
EmbeddedGroup
Embedded group representation (used when group is nested in other resources)
id
integer!
Unique identifier for the group
type
string!
Group type
Group
name
string!
Group's name
slug
string!
Group's URL slug
avatar
string | null (uri)!
URL to group's avatar image
initials
string!
Group's initials
counts
ChannelCounts!
Counts of various items in the channel
blocks
integer!
Number of blocks in the channel
channels
integer!
Number of channels connected to this channel
contents
integer!
Total number of contents (blocks + channels)
collaborators
integer!
Number of collaborators on the channel
_links
object!
HATEOAS links for navigation and discovery.
self
Link!
A hypermedia link containing the URL of a linked resource.
href
string (uri)!
The URL of the linked resource
connection
EmbeddedConnection
Connection context (only present when channel is returned as part of another channel's contents).
EmbeddedConnection
EmbeddedConnection
Embedded connection representation used when connection is nested in other resources
id
integer!
Unique identifier for the connection
position
integer!
Position of the item within the channel
pinned
boolean!
Whether the item is pinned
connected_at
string (date-time)!
When the item was connected
connected_by
EmbeddedUser!
User who created this connection
unknown
null
can
ChannelAbilities
Actions the current user can perform on this channel.
ChannelAbilities
ChannelAbilities
Actions the current user can perform on the channel
add_to
boolean!
Whether the user can add blocks to this channel
update
boolean!
Whether the user can update this channel
destroy
boolean!
Whether the user can delete this channel
manage_collaborators
boolean!
Whether the user can add/remove collaborators
unknown
null